#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-11
# @Author  : JCai
# @desc    :
import pytz
from datetime import datetime

from utils.logger import logInfo


def str_to_date(date_str):
    try:
        local_timezone = pytz.UTC
        open_date_str = date_str[:19]
        if '-' in open_date_str and open_date_str.startswith('201'):
            open_date = local_timezone.localize(datetime.strptime(open_date_str, '%Y-%m-%dT%H:%M:%S'))
        elif '/' in open_date_str and open_date_str.startswith('201'):
            open_date = local_timezone.localize(datetime.strptime(open_date_str, '%Y/%m/%dT%H:%M:%S'))
        else:
            open_date = local_timezone.localize(datetime.strptime(open_date_str, '%d/%m/%YT%H:%M:%S'))
    except Exception, e:
        print 'open_date error  ', e
        open_date = None
    return open_date


def yield_objs(objs, length=5000):
    if length > 0:
        try:
            total_count = objs.count()
        except:
            total_count = len(objs)
        i = 1
        is_continue = True
        page_total = total_count / int(length) + 1
        if total_count % int(length) == 0:
            page_total = total_count / int(length)
        while is_continue:
            logInfo('Total:\t%s\tPage Number:\t%s\n\tPage Total:\t%s\t\tPage:\t%s' % (
            total_count, length, page_total, i))
            if i * length > total_count:
                tmp_list = objs[(i - 1) * length:total_count]
            else:
                tmp_list = objs[(i - 1) * length:i * length]
            yield tmp_list
            if i * length >= total_count:
                is_continue = False
            i += 1
    else:
        yield []
